Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class Collations

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.Collations

public class Collations
extends java.lang.Object

Utility class for manipulation of text Collators, providing collator-based search functions.

Field Summary
`static java.lang.String` | `CODEPOINT`
`static java.lang.String` | `CODEPOINT_SHORT`

Constructor Summary
`Collations()`

Method Summary
`static int` | `compare(java.lang.String s1, java.lang.String s2, java.text.Collator collator)` Simple helper.
`static boolean` | `endsWith(java.lang.String src, java.lang.String pattern, java.text.Collator collator)`
`static java.text.Collator` | `getInstance(java.lang.String uri)` gets a locale-based collator from an uri of the form 'll' or 'll-CC' where 'll' is a ISO-639 language name and CC a ISO-3166 country name.
`static java.text.Collator` | `getInstanceWithStrength(java.lang.String uri)` gets a locale-based collator from an uri of the form 'll' or 'll-CC' where 'll' is a ISO-639 language name and CC a ISO-3166 country name.
`static int` | `indexOf(java.lang.String src, java.lang.String pattern, java.text.Collator collator)` Returns the index of the first occurrence of pattern.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODEPOINT

    public static final java.lang.String CODEPOINT

See Also:
  Constant Field Values

### CODEPOINT_SHORT

    public static final java.lang.String CODEPOINT_SHORT

See Also:
  Constant Field Values

Constructor Detail

### Collations

    public Collations()

Method Detail

### getInstance

    public static java.text.Collator getInstance(java.lang.String uri)

  gets a locale-based collator from an uri of the form 'll' or 'll-CC' where 'll' is a ISO-639 language name and CC a ISO-3166 country name.

### getInstanceWithStrength

    public static java.text.Collator getInstanceWithStrength(java.lang.String uri)

  gets a locale-based collator from an uri of the form 'll' or 'll-CC' where 'll' is a ISO-639 language name and CC a ISO-3166 country name. The uri can be followed by an anchor of the form '#primary', '#secondary' etc. that changes the strength of the collator.

### compare

    public static int compare(java.lang.String s1,
                              java.lang.String s2,
                              java.text.Collator collator)

  Simple helper. If the collator is null, does codepoint comparison.

### indexOf

    public static int indexOf(java.lang.String src,
                              java.lang.String pattern,
                              java.text.Collator collator)

  Returns the index of the first occurrence of pattern.

### endsWith

    public static boolean endsWith(java.lang.String src,
                                   java.lang.String pattern,
                                   java.text.Collator collator)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD